FROM node:14-alpine AS base

WORKDIR /app
COPY package.json .
RUN npm install

COPY . .

EXPOSE 3000

ARG REACT_APP_BACK_END_URL
ENV REACT_APP_BACK_END_URL=$REACT_APP_BACK_END_URL

CMD ["npm", "start"]